com.sun.syndication.io.impl

## Class RSS20Parser

- java.lang.Object
- - com.sun.syndication.io.impl.BaseWireFeedParser
  - - com.sun.syndication.io.impl.RSS090Parser
    - - com.sun.syndication.io.impl.RSS091UserlandParser
      - - com.sun.syndication.io.impl.RSS092Parser
        - - com.sun.syndication.io.impl.RSS093Parser
          - - com.sun.syndication.io.impl.RSS094Parser
            - - com.sun.syndication.io.impl.RSS20Parser

All Implemented Interfaces:
  WireFeedParser

Direct Known Subclasses:
  RSS20wNSParser

    public class RSS20Parser
    extends RSS094Parser

### Constructor Summary

Constructors
`` `RSS20Parser()`
`protected` `RSS20Parser(java.lang.String type)`

### Method Summary

Methods
`protected java.lang.String` `getRSSVersion()`
`protected boolean` `isHourFormat24(org.jdom.Element rssRoot)` To be overriden by RSS 0.91 Netscape and RSS 0.94
`boolean` `isMyType(org.jdom.Document document)` Inspects an XML Document (JDOM) to check if it can parse it.
`protected Description` `parseItemDescription(org.jdom.Element rssRoot, org.jdom.Element eDesc)`

### Methods inherited from class com.sun.syndication.io.impl.RSS094Parser

`parseChannel, parseItem`

### Methods inherited from class com.sun.syndication.io.impl.RSS092Parser

`parseCategories`

### Methods inherited from class com.sun.syndication.io.impl.RSS091UserlandParser

`getImage, getItems, getRSSNamespace, getTextInput, getTextInputLabel, parseImage`

### Methods inherited from class com.sun.syndication.io.impl.RSS090Parser

`getContentNamespace, getRDFNamespace, parse, parseItems, parseTextInput, validateFeed`

### Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedParser

`extractForeignMarkup, getAttribute, getAttributeValue, getType, parseFeedModules, parseItemModules, parsePersonModules`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSS20Parser

    public RSS20Parser()

#### RSS20Parser

    protected RSS20Parser(java.lang.String type)

### Method Detail

#### getRSSVersion

    protected java.lang.String getRSSVersion()

Overrides:
  `getRSSVersion` in class `RSS094Parser`

#### isHourFormat24

    protected boolean isHourFormat24(org.jdom.Element rssRoot)

Description copied from class: `RSS091UserlandParser`
To be overriden by RSS 0.91 Netscape and RSS 0.94

Overrides:
  `isHourFormat24` in class `RSS091UserlandParser`

#### parseItemDescription

    protected Description parseItemDescription(org.jdom.Element rssRoot,
                                   org.jdom.Element eDesc)

Overrides:
  `parseItemDescription` in class `RSS094Parser`

#### isMyType

    public boolean isMyType(org.jdom.Document document)

Description copied from interface: `WireFeedParser`
Inspects an XML Document (JDOM) to check if it can parse it.

It checks if the given document if the type of feeds the parser understands.

Specified by:
  `isMyType` in interface `WireFeedParser`
Overrides:
  `isMyType` in class `RSS091UserlandParser`
Parameters:
  `document` - XML Document (JDOM) to check if it can be parsed by this parser.
Returns:
  true if the parser know how to parser this feed, false otherwise.